package com.zanxiang.game.module.mybatis.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 投放渠道
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@TableName("t_agent")
public class Agent implements Serializable {
    private static final long serialVersionUID = 1L;

    public static final Integer PUT_STATUS_ING = 1;
    public static final Integer PUT_STATUS_STOP = 2;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    /**
     * 渠道名称
     */
    private String agentName;
    /**
     * 渠道唯一标识
     */
    private String agentKey;
    /**
     * 推广账号类型（1：腾讯、2：头条）
     */
    private Integer accountType;
    /**
     * 账号类型
     */
    private Long accountId;
    /**
     * 游戏id
     */
    private Long gameId;
    /**
     * 腾讯用户行为数据源 id
     */
    private Long userActionSetId;
    /**
     * 回传策略 id
     */
    private Long backPolicyId;
    /**
     * 头条回传 token
     */
    private String reportToken;
    /**
     * 头条回传 url
     */
    private String reportUrl;
    /**
     * 投放状态
     */
    private Integer putStatus;

    private LocalDateTime createTime;

    private Long createBy;

    private LocalDateTime updateTime;

    private Long updateBy;
}